From: =?utf-8?q?David_Pr=C3=A9vot?= <david@tilapin.org>
Date: Sun, 23 Feb 2020 09:55:19 -1000
Subject: Workaround the lack of PackageVersions

Forwarded: not-needed
---
 src/Tools/Console/ConsoleRunner.php                 | 4 ++--
 tests/Tests/ORM/Tools/Console/ConsoleRunnerTest.php | 3 ++-
 2 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/src/Tools/Console/ConsoleRunner.php b/src/Tools/Console/ConsoleRunner.php
index 0a00483..1feccbb 100644
--- a/src/Tools/Console/ConsoleRunner.php
+++ b/src/Tools/Console/ConsoleRunner.php
@@ -4,9 +4,9 @@ declare(strict_types=1);
 
 namespace Doctrine\ORM\Tools\Console;
 
-use Composer\InstalledVersions;
 use Doctrine\DBAL\Tools\Console as DBALConsole;
 use Doctrine\ORM\Tools\Console\EntityManagerProvider\ConnectionFromManagerProvider;
+use Doctrine\ORM\Version;
 use OutOfBoundsException;
 use Symfony\Component\Console\Application;
 use Symfony\Component\Console\Command\Command as SymfonyCommand;
@@ -42,7 +42,7 @@ final class ConsoleRunner
         EntityManagerProvider $entityManagerProvider,
         array $commands = [],
     ): Application {
-        $version = InstalledVersions::getVersion('doctrine/orm');
+        $version = Version::VERSION;
         assert($version !== null);
 
         $cli = new Application('Doctrine Command Line Interface', $version);
diff --git a/tests/Tests/ORM/Tools/Console/ConsoleRunnerTest.php b/tests/Tests/ORM/Tools/Console/ConsoleRunnerTest.php
index 3d3d89f..8cfc5b2 100644
--- a/tests/Tests/ORM/Tools/Console/ConsoleRunnerTest.php
+++ b/tests/Tests/ORM/Tools/Console/ConsoleRunnerTest.php
@@ -8,6 +8,7 @@ use Composer\InstalledVersions;
 use DBALConsole\Command\ReservedWordsCommand;
 use Doctrine\ORM\Tools\Console\ConsoleRunner;
 use Doctrine\ORM\Tools\Console\EntityManagerProvider;
+use Doctrine\ORM\Version;
 use PHPUnit\Framework\Attributes\CoversClass;
 use PHPUnit\Framework\Attributes\Group;
 use PHPUnit\Framework\TestCase;
@@ -23,7 +24,7 @@ final class ConsoleRunnerTest extends TestCase
     {
         $app = ConsoleRunner::createApplication($this->createStub(EntityManagerProvider::class));
 
-        self::assertSame(InstalledVersions::getVersion('doctrine/orm'), $app->getVersion());
+        self::assertSame(Version::VERSION, $app->getVersion());
         if (class_exists(ReservedWordsCommand::class)) {
             self::assertTrue($app->has('dbal:reserved-words'));
         }
